import { h } from "@stencil/core";
import { Alien } from "./alien";
import { Spinner } from "./spinner";
const Alert = props => {
    const { message, salute, spinner = false } = props;
    return (h("div", { class: "mt-5 flex h-24px flex-row items-center" }, spinner ? h(Spinner, { class: "mr-2" }) : h(Alien, { class: "mr-2" }), salute ? h("label", { class: "mr-1 font-bold" }, salute, ":") : '', h("label", { class: "italic" }, message)));
};
export { Alert };
export default Alert;
