import { h } from "@stencil/core";
import { Alert } from "./alert";
import { state } from "../../utils";
const Alerts = _props => {
    const { solved, loading, error } = state;
    const play = !loading && !error && !solved;
    return (h("div", { class: "flex flex-col" }, play ? h(Alert, { message: "Welcome, are you ready to play?..." }) : '', loading ? h(Alert, { message: "Loading...", spinner: true }) : '', error ? h(Alert, { message: error, salute: "ERROR" }) : '', solved ? h(Alert, { message: "You solved the puzzle!!" }) : ''));
};
export { Alerts };
export default Alert;
