import { h } from "@stencil/core";
import { tw, CHECK, NEW_PUZZLE, DELETE } from "../../utils";
const Button = props => {
    const { label, callback, matched = false } = props;
    return (h("button", { class: tw('rounded-md border border-solid border-clrs-slate4 font-bold', label === CHECK
            ? 'mr-2 bg-clrs-yellow px-3 py-2 text-clrs-navy'
            : label === NEW_PUZZLE
                ? 'mr-2 bg-clrs-navy px-3 py-2 text-white'
                : label === DELETE
                    ? 'mr-1 bg-clrs-red px-2 py-1 text-white'
                    : matched
                        ? 'mr-1 bg-clrs-slate4 px-2 py-1 text-white'
                        : 'mr-1 bg-gray-50 px-2 py-1 text-clrs-navy'), onClick: callback }, label));
};
export { Button };
export default Button;
