import { h } from "@stencil/core";
import { Button } from "./button";
import { TwLabel } from "./tw-label";
import { actions, state, CHECK, NEW_PUZZLE } from "../../utils";
const handleRefresh = (actions) => {
    return () => {
        actions.refresh();
    };
};
const handleCheck = (actions) => {
    return () => {
        actions.check();
    };
};
const ToolBar = _props => {
    const { list, solved } = state;
    return (h("div", { class: "flex flex-row" }, h(Button, { label: NEW_PUZZLE, callback: handleRefresh(actions) }), list.length === 81 && !solved ? (h(Button, { label: CHECK, callback: handleCheck(actions) })) : (''), h(TwLabel, null)));
};
export { ToolBar };
export default ToolBar;
